#
# spec file for package scs
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           scs
Version:        3.2.3
Release:        1.3
Summary:        Numerical package for solving large-scale convex cone problems
License:        MIT
URL:            https://github.com/cvxgrp/scs
Source:         https://github.com/cvxgrp/scs/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM Install lib files with protection bits 755
Patch1:         executable-libs.patch
BuildRequires:  lapack-devel
BuildRequires:  make

%description
SCS (splitting conic solver) is a numerical optimization package for
solving large-scale convex cone problems.

%package  devel
Summary:        Development files for %{name}

%description devel
SCS (splitting conic solver) is a numerical optimization package for
solving large-scale convex cone problems.
This package provides development libraries and headers for %{name}.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install INSTALL_LIB_DIR=%{buildroot}%{_libdir} INSTALL_INC_DIR=%{buildroot}%{_includedir}/%{name}
rm -r %{buildroot}%{_libdir}/*.a

%files devel
%doc README.md
%license LICENSE.txt
%{_includedir}/%{name}
%{_libdir}/*.so

%changelog
* Wed Apr  5 2023 Dirk Müller <dmueller@suse.com>
- update to 3.2.3:
  * Exponential cone projection now about 50x faster!
  * GPU version working again!
  * More testing.
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 3.2.0:
  * Return ability to reuse workspace and update problem parameters.
- add executable-libs.patch to install libs as executable
* Mon Jan 17 2022 andy great <andythe_great@pm.me>
- Update to version 3.1.0.
  * Mostly under the hood refactoring and cleanup.
- Update for version 3.0.0.
  * Add support for quadratic objectives.
  * Add support for the box cone.
  * Improve reliability and robustness of acceleration.
  * Improve PSD cone projection.
  * Adapt the scale parameter on the fly.
  * Many under the hood stability and speed improvements.
* Sat Sep 18 2021 andy great <andythe_great@pm.me>
- Update to version 2.1.4.
  * No changelog given.
* Mon Apr 12 2021 andy great <andythe_great@pm.me>
- Update to version 2.1.3.
  * Improved GPU indirect solver.
- Stop using %%exclude to remove static lib.
* Tue Sep  1 2020 andy great <andythe_great@pm.me>
- Fix devel package description.
* Wed Aug 26 2020 andy great <andythe_great@pm.me>
- Fix spec file.
  * Only produce scs-devel
  * Remove cmake dependency.
  * Move files to appropriate library directory.
  * Exclude static library.
- Remove fix_install_dir.patch as it is not need anymore.
* Mon Aug 24 2020 andy great <andythe_great@pm.me>
- Initial package release.
